/*
Copyright (c) 2011 TeamF1, Inc.
All rights reserved.
*/
/* lan_traffic_meter.htm */

function lanTrafficMeterValidate ()
    {    
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please enter a monthly limit (in MB) for the traffic';
    var errMsgL10n2 = 'Invalid restart time for counter - Enter valid hour between 0 and 23';
    var errMsgL10n3 = 'Invalid restart time for counter.';
    var errMsgL10n4 = 'Invalid restart time for counter - Enter valid minutes between 0 and 59';
    var errMsgL10n5 = 'Invalid Monthly Limit. ';
    var errMsgL10n6 = 'MB';
    var errMsgObjL10n = document.getElementById ('hd.entrMonthlyLimFrTraffic');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalRestTmBetHr');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalRestTmFrCntr');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalRestTmBetMin');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalMonLimit');
    if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value + " ";
    errMsgObjL10n = document.getElementById ('hd.units');
    if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     /* L10N Error Message Collection End */

    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtlanAccntMeterLimit,"+errMsgL10n1;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
         
	var monLimitObj = document.getElementById('txtlanAccntMeterLimit');
	if (numericValueRangeCheck (monLimitObj , '', '', 100, 256000, true, errMsgL10n5, errMsgL10n6) == false)
        return false;

    var timeObj = document.getElementById('txtSpecificTimeHr');
	if (numericValueRangeCheck (timeObj , 1, 
                            errMsgL10n3,
                            0, 23, true, errMsgL10n2, "") == false)
        return false;
    timeObj = document.getElementById('txtSpecificTimeMin');
	if (numericValueRangeCheck (timeObj , 1, 
                            errMsgL10n5,
                            0, 59, true,errMsgL10n4, "") == false)
        return false;
    return true;          
    }

