/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/

function dropFieldSelectPublicDstAddr ()
	{
	var selObj = document.getElementById('selPublicDstIpAddr');
	if (selObj.disable) return;
   	var optVal = selObj.options[selObj.selectedIndex].value;
   	switch (optVal)
   		{
   		case '2':
   			fieldStateChangeWr ('', '', '', 'tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2');
   			break;
   		default:
   			fieldStateChangeWr ('', 'tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '', '');
   			break;
   		}
	}

function checkLanSvrOption()
	{
	var selObj = document.getElementById ('selSendLanSvr');
	if (!selObj) return;
	if (selObj.disabled)
		fieldStateChangeWr ('hdSelWanIpAddrType', 'tblLwInLanServer tblLwInLanServer2', 'selPublicDstIpAddr', '');
	if (parseInt (selObj.value, 10) == 1)
		fieldStateChangeWr ('hdSelWanIpAddrType', 'tblLwInLanServer2', 'selPublicDstIpAddr', 'tblLwInLanServer');
	else if (parseInt (selObj.value, 10) == 2)
		{
		fieldStateChangeWr ('', '', '', 'tblLwInLanServer tblLwInLanServer2');
		var wanDstObj = document.getElementById ('selPublicDstIpAddr');
		if (!wanDstObj) return;
		for (var idx = 0; idx < wanDstObj.options.length; ++idx)
	        {
			if (wanDstObj.options[idx].value == "2")
				{
				wanDstObj.selectedIndex = idx;
	            break;
	            }
	        }
		dropFieldSelectPublicDstAddr ();
		fieldStateChangeWr ('selPublicDstIpAddr', '', 'hdSelWanIpAddrType', '');
		}
	}
	
function checkAddressRange ()
	{
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Range mismatch in WAN Destination IP addresses and LAN server IP addresses';
     var errMsgObjL10n = document.getElementById ('hd.ipRangeWn');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     /* L10N Error Message Collection End */
     
	var selObj = document.getElementById ('selSendLanSvr');
	if (!selObj) return true;
	if (selObj.disabled || selObj.value != "2") return true;
	var lanAddressRange = 0;
	var wanAddressRange = 0;
	var lanSvrStartInt = getIPInt('tblLwInLanServer');
	var lanSvrEndInt = getIPInt('tblLwInLanServer2');
	lanAddressRange = lanSvrEndInt - lanSvrStartInt;
	
	var wanSvrStartInt = getIPInt('tblLwInPublicDstIpAddr');
	var wanSvrEndInt = getIPInt('tblLwInPublicDstIpAddr2');
	wanAddressRange = wanSvrEndInt - wanSvrStartInt;
	
	if (lanAddressRange != wanAddressRange)
		{
		alert (errMsgL10n1);
		return false;
		}

	return true;
	}

/* add_lw_in_service.htm Start */
function fwAddLwInServicesValidate ()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid port number- Please enter value between 0 - 65535.';
     var errMsgL10n2 ='Invalid port number';
     var errMsgL10n3 ='Invalid Start LAN server IP address.';
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid LAN users starting IP address.';
     var errMsgL10n6 ='Invalid LAN users ending IP address.';
     var errMsgL10n7 ='LAN Users';
     var errMsgL10n8 ='Invalid WAN users starting IP address.';
     var errMsgL10n9 ='Invalid WAN users ending IP address.';
     var errMsgL10n10 ='WAN Users';
     var errMsgL10n11 ='Invalid End LAN server IP address.';
     var errMsgL10n12 ='LAN server IP address.';
     var errMsgL10n13 ='Invalid Start WAN Destination IP Address.';
     var errMsgL10n14 ='Invalid End WAN Destination IP Address.';
     var errMsgL10n15 ='WAN Destination IP Address.';
                    
     var errMsgObjL10n = document.getElementById ('hd.invalPrtNumRngeLnWn');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalPrtNumLnWn');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanServIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctateLnWn');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanUsrStrtIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanUsrEndIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.lanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrStrtIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrEndIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanServIpAddrLnWn2');
     if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.lanSvrWn');
     if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanDstIPAddr1');
     if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanDstIPAddr2');
     if (errMsgObjL10n) errMsgL10n14 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanDstIPAddrWn');
     if (errMsgObjL10n) errMsgL10n15 = errMsgObjL10n.value;
     /* L10N Error Message Collection End */

	obj = document.getElementById('txtTranslatePortNum');
    if (obj && !obj.disabled)
    {
	if (portValueRangeCheck (obj, 0, 65535, 1, null, true, 'Invalid port number.') == false)
        return false;
	}
	if (ipv4AddrOctetsValidate ('tblLwInLanServer', 'IP', false, true,
             errMsgL10n3, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('tblLwInLanServer2', 'IP', false, true,
             errMsgL10n11, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('tblLwInLanServer','tblLwInLanServer2', errMsgL10n12) == false)
		return false;
	if (ipv4AddrOctetsValidate ('tblLwInPublicDstIpAddr', 'IP', false, true,
             errMsgL10n13, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('tblLwInPublicDstIpAddr2', 'IP', false, true,
             errMsgL10n14, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('tblLwInPublicDstIpAddr','tblLwInPublicDstIpAddr2', errMsgL10n15) == false)
		return false;
	if (checkAddressRange () == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLWInLanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLWInLanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('addLWInLanUserStart','addLWInLanUserFinish', errMsgL10n7) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLWInWanUserStart', 'IP', false, true,
             errMsgL10n8, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLWInWanUserFinish', 'IP', false, true,
             errMsgL10n9, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('addLWInWanUserStart','addLWInWanUserFinish', errMsgL10n10) == false)
		return false;
	return true;	
    }
    
function fwActionCheckLW ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('selBandwidthProfile','','selSchedule selQos selSendLanSvr','');
			checkLanSvrOption ();
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','selBandwidthProfile selQos selSendLanSvr','');
			checkLanSvrOption ();
			break;
		default:
			fieldStateChangeWr ('selSchedule selQos selBandwidthProfile selSendLanSvr hdSelWanIpAddrType','tblLwInLanServer tblLwInLanServer2','selPublicDstIpAddr','');
			break;
		}
	/* check for NAT mode */
	var fldObj = document.getElementById('hdNATState');
	if (parseInt (fldObj.value, 10) == 0)	/* CLASSICAL ROUTING */
		fieldStateChangeWr ('selSendLanSvr selPublicDstIpAddr hdSelWanIpAddrType', 'tblLwInLanServer tblLwInLanServer2 tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '', '');
	}
    
function dropFieldSelectLanLW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLWInLanUserFinish', '', 'addLWInLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLWInLanUserStart addLWInLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLWInLanUserStart addLWInLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanLW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLWInWanUserFinish', '', 'addLWInWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLWInWanUserStart addLWInWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLWInWanUserStart addLWInWanUserFinish', '', '');
   			break;
   		}
    }
    
function translatePortNumCheckLW ()
	{
	depFieldCheck ('chkTranslatePortNum', true, '', '', 'txtTranslatePortNum', '');
	depFieldCheck ('chkTranslatePortNum', false, 'txtTranslatePortNum', '', '', '');
	}
function InitialSettingsLW ()
	{
	fwActionCheckLW ();
	var fldObj = document.getElementById('hdNATState');
	if (parseInt (fldObj.value, 10) == 0)
		fieldStateChangeWr ('chkTranslatePortNum txtTranslatePortNum selPublicDstIpAddr hdSelWanIpAddrType', 'tblLwInLanServer tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '', '');
	else
		{
		translatePortNumCheckLW ();
		dropFieldSelectPublicDstAddr ();
		fieldStateChangeWr ('addLWInLanUser', 'addLWInLanUserStart addLWInLanUserFinish', '', '');
		}
	
	var fldObj = document.getElementById('addLWInLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanLW (fldObj);
	var fldObj = document.getElementById('addLWInWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWanLW (fldObj);
	}
/* add_lw_in_service.htm End */

/* add_lw_out_service.htm Start */
function fwAddLwOutServicesValidate ()
    {
     /* L10N Error Message Collection Start */     
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid starting IP address for LAN users.';
     var errMsgL10n6 ='Invalid ending IP address for LAN users.';
     var errMsgL10n7 ='LAN Users';
     var errMsgL10n8 ='Invalid starting IP address for WAN users.';
     var errMsgL10n9 ='Invalid ending IP address for WAN users.';
     var errMsgL10n10 ='WAN Users';
     var errMsgObjL10n = document.getElementById ('hd.foroctateLnWn');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrLanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrLanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.lanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrWanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrWanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
      /* L10N Error Message Collection End */
          
	if (ipv4AddrOctetsValidate ('addLWOutLanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addLWOutLanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addLWOutLanUserStart','addLWOutLanUserFinish', errMsgL10n7) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLWOutWanUserStart', 'IP', false, true,
             errMsgL10n8, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addLWOutWanUserFinish', 'IP', false, true,
             errMsgL10n9, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addLWOutWanUserStart','addLWOutWanUserFinish', errMsgL10n10) == false)
		return false;
	return true;
    }
function fwActionCheck ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	var selNATIPObj = document.getElementById ('selNATIP');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('selBandwidthProfile','','selSchedule selQos selNATIP','');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','selBandwidthProfile','');
			fieldStateChangeWr ('','','selQos selNATIP','');
			break;
		default:
			fieldStateChangeWr ('selSchedule selQos selBandwidthProfile selNATIP','','','');
			break;
		}
	}
function dropFieldSelectLan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLWOutLanUserFinish', '', 'addLWOutLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLWOutLanUserStart addLWOutLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLWOutLanUserStart addLWOutLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLWOutWanUserFinish', '', 'addLWOutWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLWOutWanUserStart addLWOutWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLWOutWanUserStart addLWOutWanUserFinish', '', '');
   			break;
   		}
    }

function InitialSettings ()
	{
	fwActionCheck ();
	var fldObj = document.getElementById('addLWOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLan (fldObj);
	var fldObj = document.getElementById('addLWOutWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWan (fldObj);
	var fldObj = document.getElementById('selNATIP');
	}
function wanModeCheck ()
{
	var wanModeObj = document.getElementById('keyNatIpDisable');
	if(wanModeObj.value == "0")
            fieldStateChangeWr ('selNATIP','', '', '');

}	

/* add_lw_out_service.htm End */

/* edit_lw_in_service.htm start */

function fwEditLwInServicesValidate ()
    {
     /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid port number- Please enter value between 0 - 65535.';
     var errMsgL10n2 ='Invalid port number';
     var errMsgL10n3 ='Invalid Start LAN server IP address.';
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid LAN users starting IP address.';
     var errMsgL10n6 ='Invalid LAN users ending IP address.';
     var errMsgL10n7 ='Invalid WAN users starting IP address.';
     var errMsgL10n8 ='Invalid WAN users ending IP address.';
     var errMsgL10n9 ='LAN Users';
     var errMsgL10n10 ='WAN Users';
     var errMsgL10n11 ='Invalid End LAN server IP address.';
     var errMsgL10n12 ='LAN server IP address.';
     var errMsgL10n13 ='Invalid Start WAN Destination IP Address.';
     var errMsgL10n14 ='Invalid End WAN Destination IP Address.';
     var errMsgL10n15 ='WAN Destination IP Address.';

     var errMsgObjL10n = document.getElementById ('hd.invalPrtNumRngeLnWn');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalPrtNumLnWn');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanServIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctateLnWn');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanUsrStrtIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanUsrEndIpAddrLnWn');     
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrStrtIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrEndIpAddrLnWn');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.lanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalLanServIpAddrLnWn2');
     if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.lanSvrWn');
     if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanDstIPAddr1');
     if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanDstIPAddr2');
     if (errMsgObjL10n) errMsgL10n14 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanDstIPAddrWn');
     if (errMsgObjL10n) errMsgL10n15 = errMsgObjL10n.value;

     /* L10N Error Message Collection End */    
    
	obj = document.getElementById('txtTranslatePortNum');
    if (obj && !obj.disabled)
    {
	if (portValueRangeCheck (obj, 0, 65535, 1, null, true, 'Invalid port number.') == false)
        return false;
	}

	if (ipv4AddrOctetsValidate ('tblLwInLanServer', 'IP', false, true,
             errMsgL10n3, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('tblLwInLanServer2', 'IP', false, true,
             errMsgL10n11, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('tblLwInLanServer','tblLwInLanServer2', errMsgL10n12) == false)
		return false;
	if (ipv4AddrOctetsValidate ('tblLwInPublicDstIpAddr', 'IP', false, true,
             errMsgL10n13, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('tblLwInPublicDstIpAddr2', 'IP', false, true,
             errMsgL10n14, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('tblLwInPublicDstIpAddr','tblLwInPublicDstIpAddr2', errMsgL10n15) == false)
		return false;
	if (checkAddressRange () == false)
		return false;
	if (ipv4AddrOctetsValidate ('editLWInLanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('editLWInLanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('editLWInLanUserStart','editLWInLanUserFinish', errMsgL10n9) == false)
		return false;
	if (ipv4AddrOctetsValidate ('editLWInWanUserStart', 'IP', false, true,
            errMsgL10n7, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('editLWInWanUserFinish', 'IP', false, true,
             errMsgL10n8, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('editLWInWanUserStart','editLWInWanUserFinish', errMsgL10n10) == false)
		return false;

	return true;	
    }
function fwActionCheckEditLW ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('selBandwidthProfile','','selSchedule selQos selSendLanSvr','');
			checkLanSvrOption ();
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','selBandwidthProfile selQos selSendLanSvr','');
			checkLanSvrOption ();
			break;
		default:
			fieldStateChangeWr ('selQos selSchedule selBandwidthProfile selSendLanSvr hdSelWanIpAddrType','tblLwInLanServer tblLwInLanServer2','selPublicDstIpAddr','');
			break;
		}
	/* check for NAT mode */
	var fldObj = document.getElementById('hdNATState');
	if (parseInt (fldObj.value, 10) == 0)	/* CLASSICAL ROUTING */
		fieldStateChangeWr ('selSendLanSvr selPublicDstIpAddr hdSelWanIpAddrType', 'tblLwInLanServer tblLwInLanServer2 tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '', '');
	}

function dropFieldSelectLanEditLW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLWInLanUserFinish', '', 'editLWInLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLWInLanUserStart editLWInLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLWInLanUserStart editLWInLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanEditLW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLWInWanUserFinish', '', 'editLWInWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLWInWanUserStart editLWInWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLWInWanUserStart editLWInWanUserFinish', '', '');
   			break;
   		}
    }
    
function translatePortNumCheckEditLW ()
	{
	depFieldCheck ('chkTranslatePortNum', true, '', '', 'txtTranslatePortNum', '');
	depFieldCheck ('chkTranslatePortNum', false, 'txtTranslatePortNum', '', '', '');
	}
function InitialSettingsEditLW ()
	{
	optionValueSelect ('selQos', 'hdSelQoSProfile');
	optionValueSelect ('selFwService', 'hdSelSrvName');
	optionValueSelect ('selBandwidthProfile', 'hdSelBWProfile');
	optionValueSelect ('editLWInLanUser', 'hdSelLanAddrType');
	optionValueSelect ('editLWInWanUser', 'hdSelWanAddrType');
	optionValueSelect ('selPublicDstIpAddr', 'hdSelPubAddrType');

	fwActionCheckEditLW ();
	var fldObj = document.getElementById('hdNATState');
	if (parseInt (fldObj.value, 10) == 0)
		fieldStateChangeWr ('chkTranslatePortNum txtTranslatePortNum selPublicDstIpAddr hdSelWanIpAddrType selSendLanSvr', 'tblLwInLanServer tblLwInLanServer2 tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '', '');
	else
		{
		translatePortNumCheckEditLW ();
		dropFieldSelectPublicDstAddr ();
		fieldStateChangeWr ('editLWInLanUser editLWInLanUserStart editLWInLanUserFinish', '', '', '');
		}
	var fldObj = document.getElementById('editLWInLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanEditLW (fldObj);
	var fldObj = document.getElementById('editLWInWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWanEditLW (fldObj);
	}

/* edit_lw_in_service.htm End */

/* edit_lw_out_service.htm start */
function fwEditLwOutServicesValidate ()
    {
     /* L10N Error Message Collection Start */     
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid starting IP address for LAN users.';
     var errMsgL10n6 ='Invalid ending IP address for LAN users.';
     var errMsgL10n7 ='Invalid starting IP address for WAN users.';
     var errMsgL10n8 ='Invalid ending IP address for WAN users.';
     var errMsgObjL10n = document.getElementById ('hd.foroctateLnWn');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrLanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrLanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;     
     errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrWanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrWanUsrLnWn');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     
      /* L10N Error Message Collection End */

	if (ipv4AddrOctetsValidate ('editLWOutLanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLWOutLanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLWOutWanUserStart', 'IP', false, true,
             errMsgL10n7, errMsgL10n4+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLWOutWanUserFinish', 'IP', false, true,
             errMsgL10n8, errMsgL10n4+" ", true) == false)
	    return false;
	return true;
    }
function fwActionCheckEdit ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	var selNATIPObj = document.getElementById ('selNATIP');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('selBandwidthProfile','','selSchedule selQos selNATIP','');			
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','selBandwidthProfile','');
			fieldStateChangeWr ('','','selQos selNATIP','');			
			break;
		default:
			fieldStateChangeWr ('selNATIP selSchedule selQos selBandwidthProfile','','','');
			break;
		}
	}
function dropFieldSelectLanEdit (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLWOutLanUserFinish', '', 'editLWOutLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLWOutLanUserStart editLWOutLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLWOutLanUserStart editLWOutLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanEdit (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLWOutWanUserFinish', '', 'editLWOutWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLWOutWanUserStart editLWOutWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLWOutWanUserStart editLWOutWanUserFinish', '', '');
   			break;
   		}
    }

function InitialSettingsEdit ()
	{
	optionValueSelect ('selQos', 'hdSelQoSProfile');
	optionValueSelect ('selFwService', 'hdSelSrvName');
	optionValueSelect ('selBandwidthProfile', 'hdSelBWProfile');
	optionValueSelect ('editLWOutLanUser', 'hdSelLanAddrType');
	optionValueSelect ('editLWOutWanUser', 'hdSelWanAddrType');
	optionValueSelect ('selNATIP', 'hdNATIP');

	fwActionCheckEdit ();
	var fldObj = document.getElementById('editLWOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanEdit (fldObj);
	var fldObj = document.getElementById('editLWOutWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWanEdit (fldObj);
	}
function wanModeCheckEdit ()
{
	var wanModeObj = document.getElementById('keyNatIpDisable');
	if(wanModeObj.value == "0")
            fieldStateChangeWr ('selNATIP','', '', '');
	}

/* edit_lw_out_service.htm End */
